Subject: Re: linux-next: manual merge of the y2038 tree with the scsi tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 3 Dec 2019 14:00:52 +1100

Hi all,

This is now a conflict between the scsi tree and Linus' tree.

On Thu, 7 Nov 2019 15:37:57 +1100 Stephen Rothwell <[email-masked]> wrote:
>
> Today's linux-next merge of the y2038 tree got a conflict in:
> 
>   drivers/scsi/sg.c
> 
> between commits:
> 
>   a16a47416d3f ("scsi: sg: sg_ioctl(): fix copyout handling")
>   c35a5cfb4150 ("scsi: sg: sg_read(): simplify reading ->pack_id of userland sg_io_hdr_t")
>   d9fc5617bcb6 ("scsi: sg: sg_new_write(): don't bother with access_ok")
> 
> from the scsi tree and commits:
> 
>   98aaaec4a150 ("compat_ioctl: reimplement SG_IO handling")
>   fd6c3d5accea ("compat_ioctl: move SG_GET_REQUEST_TABLE handling")
> 
> from the y2038 tree.
> 
> I fixed it up (I used one side for some conflicts and the other for
> others - see the final file attached) and can carry the fix as
> necessary. This is now fixed as far as linux-next is concerned, but any
> non trivial conflicts should be mentioned to your upstream maintainer
> when your tree is submitted for merging.  You may also want to consider
> cooperating with the maintainer of the conflicting tree to minimise any
> particularly complex conflicts.

-- 
Cheers,
Stephen Rothwell